Skip to main content
POST
/
advance-employment
curl --request POST \ --url https://sandbox.cashfree.com/verification/advance-employment \ --header 'Content-Type: application/json' \ --header 'x-client-id: <api-key>' \ --header 'x-client-secret: <api-key>' \ --data ' { "verification_id": "test_verification_id", "phone": "9988775566" } '
{ "verification_id": "test_verification_id", "reference_id": 12345, "status": "SUCCESS", "input": { "phone": "9988776655", "pan": null, "uan": null, "dob": null, "employee_name": null, "employer_name": null }, "uan_details": [ { "uan": "101340612345", "source": "dob and name", "source_score": 0, "basic_details": { "gender": "MALE", "dob": "1996-10-02", "employee_confidence_score": 0, "employee_name": "John Doe", "phone": "9988776655", "aadhaar_verified": true }, "employment_details": { "member_id": "MHBAN12342200000012345", "establishment_id": "MHBAN1234220000", "exit_date": null, "joining_date": "2020-02-21", "leave_reason": null, "establishment_name": "Cashfree India Private Ltd", "employer_confidence_score": 0.1 }, "additional_details": { "aadhaar": "XXXXXXXX7561", "email": "johndoe@gmail.com", "pan": "ABCDE5930G", "ifsc": "SBIN0012345", "bank_account": "20329012345", "bank_address": "STATE BANK OF INDIA,KATANGA BENGALURU", "relation": "F", "relative_name": "Alice Doe" } } ], "recent_employment_details": { "employee_details": { "member_id": "UPLKO22417520000010171", "exit_date": null, "joining_date": "2023-09-01", "uan": "101379636551", "epfo": { "recent": true, "name_unique": true, "pf_filings_details": true }, "employed": false, "employee_name_match": false, "exit_date_marked": false }, "employer_details": { "establishment_id": "MHBAN1234220000", "establishment_name": "Cashfree India Private Ltd", "setup_date": "2020-11-19", "ownership_type": "Private Limited Company", "employer_confidence_score": 0.3, "employer_name_match": false, "pf_filing_details": [ { "total_amount": 37524, "employees_count": 17, "wage_month": "NOV-23" }, { "total_amount": 41249, "employees_count": 19, "wage_month": "OCT-23" }, { "total_amount": 37295, "employees_count": 16, "wage_month": "SEP-23" } ] } } }

Documentation Index

Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Client ID. You can find your ID in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if IP is not whitelisted.

Body

application/json

Find the request parameters to retrieve employment details

verification_id
string
required

It is the unique ID you create to identify the API request. The maximum character limit is 50. Only alphanumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"ABC00123"

phone
string

It is the phone number of the employee. (conditonal mandatory)

Example:

"9988776655"

pan
string

It is the PAN information of the employee. (conditonal mandatory)

Example:

"AZJPG7110R"

uan
string

It is the unique number assigned to every employee contributing to the Employees' Provident Fund (EPF). (conditonal mandatory)

Example:

"101340612345"

dob
string<date>

It is the date of birth information of the employee. The format is YYYY-MM-DD.Employee date of birth. (conditonal mandatory)

Example:

"1995-11-10"

employee_name
string

It is the name of the employee. (conditonal mandatory)

Example:

"John Doe"

employer_name
string

It is the name of the employer. (conditonal mandatory)

Example:

"Cashfree India Pvt Ltd"

Response

Success response for retreiving employment information

Success response for retreiving employment information

verification_id
string

It displays the unique ID you created to identify the verification request.

Example:

"test_verification_id"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

1358

status
string

It displays the list of status of the API request. Possible values are: SUCCESS EMPLOYMENT_DETAILS_NOT_FOUND

Example:

"SUCCESS"

input
object

It contains the information entered in the API request.

uan_details
object[]

It contains the list of UAN details.

recent_employment_details
object

It contains the recent employment details of the individual.